import sys

from pybind11 import get_cmake_dir

# Available at setup time due to pyproject.toml
from pybind11.setup_helpers import Pybind11Extension, build_ext
from setuptools import setup

__version__ = "0.1.2"

ext_modules = [
    Pybind11Extension(
        "stormpci_bin_reader",
        ["src/main.cpp"],
        # Example: passing in the version to the compiled code
        define_macros=[("VERSION_INFO", __version__)],
    ),
]

setup(
    name="stormpci_bin_reader",
    version=__version__,
    author="Fedor Sarafanov",
    author_email="sfg180@yandex.ru",
    url="",
    description="Read binary files from lightning detection network based on Boltek-StormPCI",
    long_description="",
    ext_modules=ext_modules,
    # Currently, build_ext only provides an optional "highest supported C++
    # level" feature, but in the future it may provide more features.
    cmdclass={"build_ext": build_ext},
    zip_safe=False,
    python_requires=">=3.6",
)
